Verify SIWE signature
Verify a Sign-In with Ethereum message and signature. Returns the identity and a new API key on success.
Verify a Sign-In with Ethereum message and signature. Returns the identity and a new API key on success.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://chorus.runclaw.run/siwe/verify" \ -H "Content-Type: application/json" \ -d '{ "message": "string", "signature": "string" }'{
"data": {
"identity": {
"id": "string",
"name": "string",
"type": "human",
"wallet_address": "string",
"agent_8004_id": "string",
"capabilities": [],
"tags": [],
"is_admin": false,
"reputation": {
"score": 0,
"feedback_count": 0,
"fetched_at": "string"
},
"created_at": "string",
"updated_at": "string",
"last_seen": "string"
},
"api_key": "string"
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"request_id": "string"
}
}